*** ./chan_mobile.c.001	2010-04-08 20:56:44.000000000 -0300
--- ./chan_mobile.c	2010-04-10 23:31:53.316738791 -0300
***************
*** 1283,1292 ****
--- 1283,1298 ----
  	if ((s = socket(PF_BLUETOOTH, SOCK_STREAM, BTPROTO_RFCOMM)) < 0) {
  		ast_debug(1, "socket() failed (%d).\n", errno);
  		return -1;
  	}
  
+ 	struct bt_security sec;
+ 	memset(&sec, 0, sizeof(sec));
+ 	sec.level = BT_SECURITY_HIGH;
+ 	if (setsockopt(s, SOL_BLUETOOTH, BT_SECURITY, &sec, sizeof(sec)) != 0)
+ 		ast_debug(1, "setsockopt(BT_SECURITY) failed (%d).\n", errno);
+ 
  	memset(&addr, 0, sizeof(addr));
  	addr.rc_family = AF_BLUETOOTH;
  	bacpy(&addr.rc_bdaddr, &src);
  	addr.rc_channel = (uint8_t) 1;
  	if (bind(s, (struct sockaddr *)&addr, sizeof(addr)) < 0) {
